## speexdec speexdec — decode speex streams to audio |

## Synopsis

    struct              GstSpeexDec;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstAudioDecoder
                               +----GstSpeexDec

## Properties

      "enh"                      gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | speex
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-speex

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 6000, 48000 ], channels=(int)[ 1, 2 ]

## Details

### struct GstSpeexDec

    struct GstSpeexDec;

## Property Details

### The `"enh"` property

      "enh"                      gboolean              : Read / Write

Enable perceptual enhancement.

Default value: TRUE